Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 614004 (CVE-2016-10254) - <dev-libs/elfutils-0.168: memory allocation failure in allocate_elf (common.h)
Summary: <dev-libs/elfutils-0.168: memory allocation failure in allocate_elf (common.h)
Status: RESOLVED FIXED
Alias: CVE-2016-10254
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://blogs.gentoo.org/ago/2016/11/...
Whiteboard: A3 [glsa cve]
Keywords:
Depends on: CVE-2017-7607, CVE-2017-7608, CVE-2017-7609, CVE-2017-7610, CVE-2017-7611, CVE-2017-7612, CVE-2017-7613
Blocks:
  Show dependency tree
 
Reported: 2017-03-27 08:37 UTC by Agostino Sarubbo
Modified: 2017-10-13 22:33 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2017-03-27 08:37:56 UTC
Details at $URL.


@maintainer(s): since the fixed package is already in the tree, please let us know if it is ready for the stabilization or not.
Comment 1 Yury German Gentoo Infrastructure gentoo-dev Security 2017-03-29 07:39:29 UTC
 CVE ID: CVE-2016-10254
   Summary: The allocate_elf function in common.h in elfutils before 0.168 allows remote attackers to cause a denial of service (crash) via a crafted ELF file, which triggers a memory allocation failure.
 Published: 2017-03-23T16:59:00.000Z
Comment 2 Yury German Gentoo Infrastructure gentoo-dev Security 2017-04-30 16:29:51 UTC
Ping on stabilization. .. are we ready to go stable?
Comment 3 EoD 2017-10-06 18:27:59 UTC
The tree only contains >=dev-libs/elfutils-0.169-r1 anymore.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2017-10-13 22:33:17 UTC
This issue was resolved and addressed in
 GLSA 201710-10 at https://security.gentoo.org/glsa/201710-10
by GLSA coordinator Aaron Bauman (b-man).